package com.usky.backend.controller.api;
import com.usky.backend.client.DataQueryClient;
import com.usky.backend.domain.request.HistoryQueryVo;
import com.usky.backend.domain.response.HistoryResultVo;
import com.usky.backend.domain.vo.*;
import com.usky.backend.service.DataQueryService;
import com.usky.common.core.bean.ApiResult;
import com.usky.common.log.annotation.Log;
import com.usky.system.RemoteLogService;
import com.usky.system.domain.SysLogininforVO;
import com.usky.system.domain.SysOperLogVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  数据统一查询 前端控制器
 * </p>
 *
 */
@RestController
@Api(tags = "数据统一查询RPC")
@RequestMapping("/dataQueryApi")
public class DataQueryApi implements DataQueryClient {

    @Autowired
    private DataQueryService dataQueryService;

    @Override
    public ApiResult<List<HistoryResultVo>> history(HistoryQueryVo historyQueryVo) {
        List<HistoryResultVo> history = dataQueryService.history(historyQueryVo);
        return ApiResult.success(history);
    }
}

