package com.usky.backend.controller.web;
import com.usky.backend.domain.request.HistoryQueryVo;
import com.usky.backend.domain.response.HistoryResultVo;
import com.usky.backend.domain.response.MetricItemVo;
import com.usky.backend.domain.vo.*;
import com.usky.backend.service.DataQueryService;
import com.usky.common.core.bean.ApiResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  数据统一查询 前端控制器
 * </p>
 *
 */
@RestController
@Api(tags = "数据统一查询")
@RequestMapping("/dataQuery")
public class DataQueryController {

    @Autowired
    private DataQueryService dataQueryService;

    @GetMapping("/history")
    @ApiOperation("获取单个设备单属性历史数据")
    public ApiResult<HistoryResultVo> history(@RequestParam("startTime") String startTime,
                                              @RequestParam("endTime") String endTime,
                                              @RequestParam("deviceId") String deviceId,
                                              @RequestParam("metric") String metric ) {
        //以下是mock模拟数据
        List<MetricItemVo> items = new ArrayList<>();
        items.add(new MetricItemVo(new Date(),12.3));
        items.add(new MetricItemVo(new Date(),100));
        HistoryResultVo historyResultVo = new HistoryResultVo(deviceId,metric,items);
        return ApiResult.success(historyResultVo);
    }

    @PostMapping("/history")
    @ApiOperation("获取单个设备多属性历史数据")
    public ApiResult<List<HistoryResultVo>> history(@RequestBody HistoryQueryVo historyQueryVo) {
        List<HistoryResultVo> history = dataQueryService.history(historyQueryVo);
        return ApiResult.success(history);
    }

    @PostMapping("/last")
    @ApiOperation("获取单个设备多指标实时数据")
    public ApiResult<List<MetricRealItemVo>> last(@RequestBody LastQueryVo lastQueryVo) {
        List<MetricRealItemVo>  metricItemVos = new ArrayList<>();
        metricItemVos.add(new MetricRealItemVo("cpu.load",new Date(),11.2));
        metricItemVos.add(new MetricRealItemVo("cpu.5min",new Date(),12.2));
        return ApiResult.success(metricItemVos);
    }


}

